// *** Copyright (c)2002 Jim Massey. All rights reserved  ***********
// *** massey@stlouis-shopper.com **************
// *** No Warranty - certified to work with nothing ***
// *** developed to work with mozilla kiosk **** 

window.addEventListener("unload", meter_on, true);
window.addEventListener("load", meter_off, true);


function meter_on() {
	dump("****New Meter ON\n");
	if (document.getElementById("progress") != null) {
		meter = document.getElementById("progress");
		meter.setAttribute("mode", "undetermined");
	}
	throbber = document.getElementById("throbber");
	throbber.setAttribute("src", "images/load-throb-anim.gif");
	
}

function meter_off() {
	dump("****New Meter OFF\n");
	if (document.getElementById("progress") != null) {
		meter = document.getElementById("progress");
		meter.setAttribute("mode", "normal");
	}
	throbber = document.getElementById("throbber");
	throbber.setAttribute("src", "images/view-throb.png");
	
}
